repos:
  - repo: https://github.com/compilerla/conventional-pre-commit
    rev: v2.1.1
    hooks:
      - id: conventional-pre-commit
        stages: [commit-msg]
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.3.0
    hooks:
      - id: check-json
        stages: [commit]
      - id: check-toml
        stages: [commit]
      - id: check-yaml
        stages: [commit]
  - repo: https://github.com/golangci/golangci-lint
    rev: v1.52.2
    hooks:
      - id: golangci-lint
        stages: [commit]
  - repo: https://github.com/yoheimuta/protolint
    rev: v0.42.0
    hooks:
      - id: protolint
  - repo: https://github.com/koalaman/shellcheck-precommit
    rev: v0.8.0
    hooks:
      - id: shellcheck
